---
title: If-Unmodified-Since
slug: Web/HTTP/Headers/If-Unmodified-Since
tags:
  - HTTP
  - HTTP Header
  - Reference
  - Request header
---
<div>{{HTTPSidebar}}</div>

<p>The <strong><code>If-Unmodified-Since</code></strong> request HTTP header makes the request conditional: the server will send back the requested resource, or accept it in the case of a {{HTTPMethod("POST")}} or another non-{{Glossary("safe")}} method, only if it has not been last modified after the given date. If the resource has been modified after the given date, the response will be a {{HTTPStatus("412")}} (Precondition Failed) error.</p>

<p>There are two common use cases:</p>

<ul>
 <li>In conjunction with non-{{Glossary("safe")}} methods, like {{HTTPMethod("POST")}}, it can be used to implement an <a href="https://en.wikipedia.org/wiki/Optimistic_concurrency_control">optimistic concurrency control</a>, like done by some wikis: editions are rejected if the stored document has been modified since the original has been retrieved.</li>
 <li>In conjunction with a range request with a {{HTTPHeader("If-Range")}} header, it can be used to ensure that the new fragment requested comes from an unmodified document.</li>
</ul>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Request header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">If-Unmodified-Since: &lt;day-name&gt;, &lt;day&gt; &lt;month&gt; &lt;year&gt; &lt;hour&gt;:&lt;minute&gt;:&lt;second&gt; GMT
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;day-name&gt;</dt>
 <dd>One of "Mon", "Tue", "Wed", "Thu", "Fri", "Sat", or "Sun" (case-sensitive).</dd>
 <dt>&lt;day&gt;</dt>
 <dd>2 digit day number, e.g. "04" or "23".</dd>
 <dt>&lt;month&gt;</dt>
 <dd>One of "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" (case sensitive).</dd>
 <dt>&lt;year&gt;</dt>
 <dd>4 digit year number, e.g. "1990" or "2016".</dd>
 <dt>&lt;hour&gt;</dt>
 <dd>2 digit hour number, e.g. "09" or "23".</dd>
 <dt>&lt;minute&gt;</dt>
 <dd>2 digit minute number, e.g. "04" or "59".</dd>
 <dt>&lt;second&gt;</dt>
 <dd>2 digit second number, e.g. "04" or "59".</dd>
 <dt><code>GMT</code></dt>
 <dd>
 <p>Greenwich Mean Time. HTTP dates are always expressed in GMT, never in local time.</p>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>If-Unmodified-Since: Wed, 21 Oct 2015 07:28:00 GMT
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7232", "If-Unmodified-Since", "3.4")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Conditional Requests</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.If-Unmodified-Since")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Last-Modified")}}</li>
 <li>{{HTTPHeader("If-Modified-Since")}}</li>
 <li>{{HTTPHeader("If-Match")}}</li>
 <li>{{HTTPHeader("If-None-Match")}}</li>
 <li>{{HTTPHeader("If-Range")}}</li>
 <li>{{HTTPStatus("412")}}<code> Precondition Failed</code></li>
</ul>
